# Zomberman - skacimacik - Börzsönyi Réka, Szamecz Márton, Varga Norbert
A Zomberman a Szoftvertechnológia tárgy keretein belül készült mint beadandó. Feladatunk a [Bomberman/Dyna Blaster](https://hu.wikipedia.org/wiki/Bomberman)-nek a megvalósítása volt.<br><br>

## Fejlesztői dokumentáció
Megtekinthető a program legfrissebb kiadott verzójának API dokumentációja [ezen a linken](https://skacimacik-szofttech-ab-2024-group-01-42c895cd20d9f80c505d93608.szofttech.gitlab-pages.hu).

## Alapjáték leírása
A játékban két játékos játszhat egymás ellen, a céljuk, hogy minél tovább túléljenek. Túlélésüket nehezítik a szörnyek, akik véletlenszerűen lépkednek a pályán, ha rálépnek egy játékosra akkor meghal az a játékos. A játékosok lerakhatnak bombákat, ezek adott idő után felrobbannak. A pályán vannak dobozok, ezeket felrobbantva juthatnak a játékosok bónuszokhoz. 

## Irányítás
- kék játékos   
    - WASD: lépés   
    - Q: bomba   
    - E: akadály lerakása (bónusz felvétele után)   
- piros játékos
    - IJKL: lépés   
    - U: bomba   
    - O: akadály lerakása (bónusz felvétele esetén)   
- főmenübe kilépés: ALT + BACKSPACE

## Választott feladatok
- intelligens szörnyek
    - okos szörny: Minden irányváltásnál optimális utat keres a legközelebbi játékoshoz.
    - ügyetlen szörny: Hasonlít az okos szörnyhöz, de néha rossz döntést hoz.
    - szellem szörny: Képes átmenni a dobozokon, belső falakon.
- hátráltató bónuszok
    - Doboz felrobbanása után megjelenhet olyan bónusz ami hátráltatja a játékost. Nem ismeri a játékos a hatását addig, amíg rá nem lép.
- haladó bónuszok
    - Többfajta bónusz.
- battle royale
    - Időközönként szűkül a pálya.

## Textúrák
A textúrákat mi készítettük, és nagyban hatással volt ránk a [Plants VS Zombies](https://hu.wikipedia.org/wiki/Plants_vs._Zombies).<br>
- alap szörny: alap zombi
- intelligens szörny: imp (mini zombi)
- ügyetlen szörny: vödrös zombi
- szellem szörny: lufis zombi<br>
- bomba: cherry bomb
- nagyobb hatótávú bomba bónusz: cherry bomb izmos karral
- több bomba bónusz: cherry bomb bónusz jellel
- belső fal: wall-nut
- kék/piros akadály: kék/piros wall-nut
- akadály lerakás bónusz: két színezett wall-nut
- gyorsító bónusz: kávébab
- szellem bónusz: lufi
- sérthetetlenség bónusz: pajzs
- hátráltató bónusz: hypno-shroom

![Textures](/readme_img/all_textures.jpg)

## Képernyőképek a játékból

### Főmenü
![MainMenu](/readme_img/menupage.jpg)

### Különböző játékállások
![Screenshot1](/readme_img/screenshot1.jpg)<br>
![Screenshot2](/readme_img/screenshot2.jpg)<br>
![Screenshot3](/readme_img/screenshot3.jpg)<br>

### Játék vége
![EndGame](/readme_img/endgame.jpg)